Bug 864718 - AttributeError: 'BTRFSVolumeDevice' object has no attribute 'isExtended'
AttributeError: 'BTRFSVolumeDevice' object has no attribute 'isExtended'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:e8c2e2e09fe960e4cdf672064aa...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 20:26 EDT by Reartes Guillermo
Modified: 2014-02-05 17:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (258.31 KB, text/plain)
2012-10-09 20:26 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 20:26 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 20:26 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-09 20:26 EDT, Reartes Guillermo
no flags Details
File: storage.log (96.02 KB, text/plain)
2012-10-09 20:26 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (6.08 KB, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: syslog (78.82 KB, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
File: program.log (28.24 KB, text/plain)
2012-10-09 20:27 EDT, Reartes Guillermo
no flags Details
anaconda.log (14.04 KB, text/plain)
2012-11-03 12:46 EDT, Reartes Guillermo
no flags Details
anaconda tb (473.11 KB, text/plain)
2012-11-03 12:47 EDT, Reartes Guillermo
no flags Details
program.log (81.00 KB, text/plain)
2012-11-03 12:48 EDT, Reartes Guillermo
no flags Details
storage.log (247.08 KB, text/plain)
2012-11-03 12:48 EDT, Reartes Guillermo
no flags Details
disk vdb partition iformation (864 bytes, text/plain)
2012-11-03 13:01 EDT, Reartes Guillermo
no flags Details
disk vdc, vdd, vde, vdf partition iformation (552 bytes, text/plain)
2012-11-03 13:02 EDT, Reartes Guillermo
no flags Details
blkid (1.42 KB, text/plain)
2012-11-03 13:05 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 20:26:39 EDT
Description of problem:
enter storage and selected some disks which contained btrfs partitions

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 123, in populate
:    if dev.isExtended and disk.format.logicalPartitions:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 167, in refresh
:    self.populate(disks)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 665, in on_continue_clicked
:    resizeDialog.refresh(disks)
:AttributeError: 'BTRFSVolumeDevice' object has no attribute 'isExtended'
Comment 1 Reartes Guillermo 2012-10-09 20:26:48 EDT
Created attachment 624357 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-09 20:26:50 EDT
Created attachment 624358 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-09 20:26:52 EDT
Created attachment 624359 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-09 20:26:54 EDT
Created attachment 624360 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-09 20:26:58 EDT
Created attachment 624361 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-09 20:27:01 EDT
Created attachment 624362 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-09 20:27:03 EDT
Created attachment 624363 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-09 20:27:06 EDT
Created attachment 624364 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-09 20:27:10 EDT
Created attachment 624365 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-09 20:27:12 EDT
Created attachment 624366 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-09 20:27:14 EDT
Created attachment 624367 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-09 20:27:17 EDT
Created attachment 624368 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-09 20:27:19 EDT
Created attachment 624369 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-09 20:27:22 EDT
Created attachment 624370 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-10 09:08:14 EDT

*** This bug has been marked as a duplicate of bug 864180 ***
Comment 17 David Lehman 2012-10-15 10:26:03 EDT
This will be fixed in anaconda-18.17-1.
Comment 18 Fedora Update System 2012-10-16 23:08:37 EDT
anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18
Comment 19 Fedora Update System 2012-10-17 13:30:14 EDT
Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-10-17 22:37:37 EDT
anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18
Comment 21 Fedora Update System 2012-10-18 11:29:50 EDT
Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2012-10-19 21:33:21 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 23 Reartes Guillermo 2012-10-21 11:40:01 EDT
this should not happen.
anaconda was behaving incorreclty (RHBZ: 868671) when i hit this again.


Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 24 Reartes Guillermo 2012-11-03 12:41:47 EDT
selected the four remaining "0 byte disks" and tried to reach the reclaim space dialog

Package: anaconda-18.24
OS Release: Fedora release 18-Beta-TC7
Comment 25 Reartes Guillermo 2012-11-03 12:46:44 EDT
Created attachment 637538 [details]
anaconda.log
Comment 26 Reartes Guillermo 2012-11-03 12:47:19 EDT
Created attachment 637539 [details]
anaconda tb
Comment 27 Reartes Guillermo 2012-11-03 12:48:05 EDT
Created attachment 637540 [details]
program.log
Comment 28 Reartes Guillermo 2012-11-03 12:48:53 EDT
Created attachment 637542 [details]
storage.log
Comment 29 Reartes Guillermo 2012-11-03 13:01:22 EDT
Created attachment 637543 [details]
disk vdb partition iformation
Comment 30 Reartes Guillermo 2012-11-03 13:02:31 EDT
Created attachment 637544 [details]
disk vdc, vdd, vde, vdf partition iformation
Comment 31 Reartes Guillermo 2012-11-03 13:05:37 EDT
Created attachment 637545 [details]
blkid

While unpartitioned, BTRFS filesystem(s) can still be detected. I do not remember of vdb was part of it or not.

So there are unpartitioned devices with a PSEUDO-WHOLE DISKS FILESYSTEM (pseudo whole, in the sense that the WHOLE spans multiple disks). 
Can this be the cause of these '0 byte disks' ?
Comment 32 Adam Williamson 2012-11-22 22:29:48 EST
setting back to ASSIGNED, as reartes appears to have this in a build after it was 'fixed'.
Comment 33 Fedora End Of Life 2013-12-21 10:08:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Fedora End Of Life 2014-02-05 17:49:48 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.